%define upstream_name    NetworkInfo-Discovery
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Register of network information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/NetworkInfo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Pcap)
BuildRequires: perl(Net::Traceroute)
BuildRequires: perl(NetPacket)
BuildArch: noarch

%description
NetworkInfo::Discovery is a set of modules that can be used to discover
network topology, interfaces on the network, and information about the
links between subnets. This information is brought together into
'NetworkInfo::Discovery::Register' where it can be examined and used to
build a unified map of the network. The network map is controlled from a
single location.

Host detection currently runs from a single location, but in the future
there will be support for having remote agents that contribute to the
central map.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

#%%check
#%%make_build test

%install
%make_install

%files
%doc Changes TODO README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-9.mga8
+ Revision: 1496073
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-8.mga7
+ Revision: 1270197
- Mageia 7 Mass Rebuild

* Thu May 12 2016 tv <tv> 0.120.0-7.mga6
+ Revision: 1014012
- use std build macros; prevent commented out macros to break build

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 943378
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 741947
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 685751
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 513632
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 370988
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 17 2011 kharec <kharec> 0.120.0-1.mga2
+ Revision: 168609
- imported package perl-NetworkInfo-Discovery


* Thu Nov 17 2011 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
